<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscViewerAppendOptionsPrefix</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscViewerAppendOptionsPrefix"><H1>PetscViewerAppendOptionsPrefix</H1></A>
Appends to the prefix used for searching for all  <A HREF="../Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> options in the database. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h" 
PetscErrorCode PETSC_DLLEXPORT PetscViewerAppendOptionsPrefix(PetscViewer viewer,const char prefix[])
</PRE>
Collective on <A HREF="../Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>viewer </B></TD><TD>- the <A HREF="../Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> context
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>prefix </B></TD><TD>- the prefix to prepend to all option names
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
A hyphen (-) must NOT be given at the beginning of the prefix name.
The first character of all runtime options is AUTOMATICALLY the hyphen.
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>, append, options, prefix, database
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Viewer/PetscViewerGetOptionsPrefix.html#PetscViewerGetOptionsPrefix">PetscViewerGetOptionsPrefix</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/viewer/interface/view.c.html#PetscViewerAppendOptionsPrefix">src/sys/viewer/interface/view.c</A>
<BR><A HREF="./index.html">Index of all Viewer routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
